/*HEADER*/
@font-face {
    font-family: Ubuntu;
    src: url(../fonts/Ubuntu/Ubuntu-Regular.ttf);
}

header {
    z-index: 100;
    background-color: #060057;
    font-family: Ubuntu;
    height: 8vh;
    transition: height 0.3s ease;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
    position: sticky;
    top: 0;
}

#homeLink { 
    font-size: clamp(25px, 3vw, 75px);
    color: white;
    text-decoration: none;
}

#title_homeLink {
    padding-left: 5%;
}

.hButton {
    display: inline-block;
    text-align: center;
    padding: 0.75em 0.75em;
    width: clamp(100px, 8vw, 500px);
    margin-right: 50px;
    color: black;
    font-family: Ubuntu;
    font-size: clamp(3px, 1vw, 60px);
    text-decoration: none;
    background: white;
    border: 2px solid #060057;
    border-radius: 7vh;
    transition: all 0.5s;
}

.hButton:hover {
    background-color: #060057;
    border-color: white;
    color: white;
}

.hButton:active {
    background-color: rgb(2, 0, 29);
}

.hButton.no-transition {
    transition: none !important;
}

#ch {
    display: none;
}

#ch:checked ~ header nav {
    max-height: 500px;
}

#lab {
    width: 30px;
    height: 30px;
    margin-right: clamp(10px, 10vw, 20px);
    background-image: linear-gradient(white 0%, white 20%, transparent 21%, transparent 40%,
    white 41%, white 60%, transparent 61%, transparent 80%,
    white 81%, white 100%);
    display: none;
}

#lab:hover {
    cursor: pointer;
}

@media (max-width: 700px), (max-height: 700px) {
    #lab {
        display: block;
    }
    .hButton {
        margin: 0;
        font-size: clamp(10px, 1vw, 30px);
        width: clamp(100px,8vw,250px);
    }
    .hButton:active {
        background-color: #060057;
        border-color: white;
        color: white;
    }
    nav {
        display: flex;
        flex-direction: column;
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.5s linear;
    }
    header {
        height: auto;
    }
}
@media (min-width: 701px) {
    nav {
        display: block;
    }
}